# Uses of Class
org.apache.sling.scripting.sightly.impl.utils.ScriptDependencyResolver

Packages that use ScriptDependencyResolver
Package
Description
org.apache.sling.scripting.sightly.impl.engine.extension.use

## Uses of ScriptDependencyResolver in org.apache.sling.scripting.sightly.impl.engine.extension.use

Fields in org.apache.sling.scripting.sightly.impl.engine.extension.use declared as ScriptDependencyResolver
Modifier and Type
Field
Description
`protected final ScriptDependencyResolver`
ScriptUseProvider.`scriptDependencyResolver`
Constructors in org.apache.sling.scripting.sightly.impl.engine.extension.use with parameters of type ScriptDependencyResolver
Modifier
Constructor
Description
``
`ScriptUseProvider(org.osgi.framework.BundleContext bundleContext, BundledUnitManagerImpl bundledUnitManager, ScriptDependencyResolver scriptDependencyResolver)`